<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <?php if ( is_singular() && get_option('thread_comments') ) wp_enqueue_script('comment-reply'); ?>
        <?php wp_head(); ?>
        <?php $site_width = get_theme_mod('site_width');
            if(!$site_width) {
                $site_width = '1920';
            } ?>
        <style>
            .container_wrap {
                grid: auto / 1fr minmax(0px, <?php echo $site_width ?>px) 1fr;
            }
        </style>
    </head>
    <body <?php body_class( 'class-name' ); ?>>
        <?php if ( function_exists( 'gtm4wp_the_gtm_tag' ) ) { gtm4wp_the_gtm_tag(); } ?>
        <?php get_template_part('template-parts/header/header', 'custom'); ?>
        
        <?php // Custom Hook: before the header
        rem_header_before(); ?>
        
        <?php // Set header layout template type
        $header_type = get_theme_mod( 'header_type' ); 
        if($header_type === "classic") { // Classic
            get_template_part('template-parts/header/classic');
        } elseif($header_type === "stack-center" || "stack-left") { // Stack
            get_template_part('template-parts/header/stack');
        } ?>
        
        <?php // Custom Hook: after the header
        rem_header_after(); ?>
            
        <?php // Mobile nav menu
        get_template_part('template-parts/navigation/mobile', 'main'); ?>